<?php

session_start();
if($HTTP_SESSION_VARS['dbName']==""){
header("location:../index.php");
}


include("config.inc.php");
include("Functions_Sales.php");


$connection = mysql_connect($config['dbServer'],$config['dbUser'],$config['dbPass']) or die("Could not connect to DB");
mysql_select_db($HTTP_SESSION_VARS['dbName'],$connection) or die("Could not find DB");



//Read From Login Table
$querylog=" select ifNull(Unmodify_sellingprice,0) As Unmodify_SellingPrice, ifNull(FI_DeliverySalesPrice,0) As FI_DeliverySalesPrice, ".
		  " ifNull(Login_ModifyDiscount,0) As Login_ModifyDiscount, ifNull(Login_ModifySellingPrice,0) As Login_ModifySellingPrice, ".
		  " ifNull(Login_negativeQty,0) As Login_negativeQty, ifNull(FI_ChangeInvoiceItems,0) As FI_ChangeInvoiceItems ".
          " from ".$HTTP_SESSION_VARS['dbLabel'].".login where user_account='".$HTTP_SESSION_VARS['useraccount']."' and Upper(Login_Schema) = Upper('".$HTTP_SESSION_VARS['dbName']."')  ";
$resultlog=mysql_query($querylog,$connection) or die(mysql_error());
while($rows=mysql_fetch_array($resultlog)){
	extract($rows);
}
//echo $querylog;
	
//Read From Setup Table							
$querysetup= " select DecimalBase, DecimalBase1, DecimalBase2, base1, base2, grid_color1, grid_color2, ".
             " Date_Format(Setup_VatStartDate,'%Y%m%d') As Setup_VatStartDate, ifNull(Setup_VatPercentage,0) As Setup_VatPercentage from setup ";
$resultsetup=mysql_query($querysetup,$connection) or die(mysql_error());
while($rowsetup=mysql_fetch_array($resultsetup)){
	extract($rowsetup);
}

//Read From Module Table
$querymodule=" Select ifNull(Module_AdditionalTaxes,0) As Module_AdditionalTaxes, ifNull(Module_Pack,0) As Module_Pack, ifNull(Module_Delivery,0) As Module_Delivery, ".
			 " ifNull(module_DeliveryWithSorder,0) As Module_DeliveryWithSorder, ifNull(Module_NegativeQuantity,0) As Module_NegativeQuantity, ".
			 " ifNull(Module_SerialNo,0) As Module_SerialNo, ifNull(Module_DoubleUnit,0) As Module_DoubleUnit, ifNull(Module_Unit1Method,0) As Module_Unit1Method, ".
			 " ifNull(Module_DeliveryClosingQty,0) As Module_DeliveryClosingQty, ifNull(Module_ChangeInvoiceItems,0) As Module_ChangeInvoiceItems, ".
			 " ifNull(Module_ProjectDt,0) As Module_ProjectDt, ifNull(Module_CostCenterDt,0) As Module_CostCenterDt, ".
			 " ifNull(Module_ExpireDate,0) As Module_ExpireDate ".
			 " From Module ";
$resultmodule=mysql_query($querymodule,$connection) or die(mysql_error());
while($rowmodule=mysql_fetch_array($resultmodule)){
	extract($rowmodule);
}

//Read From SalesSetup Table
$querySalesSetup="Select SalesTTC, Warehouse As SetupDftWareHouse, ifNull(Sale_MaxExceedQty,0) As Sale_MaxExceedQty From SalesSetup";
$resultSalesSetup=mysql_query($querySalesSetup,$connection) or die(mysql_error());
while($rowSalesSetup=mysql_fetch_array($resultSalesSetup)){
	extract($rowSalesSetup);
}



//Warehouse List
$querywarehouse=" select distinct warehouse.warehouse_code, warehouse_name ".
				" from warehouse where warehouse_code in (select warehouse_code from ".$HTTP_SESSION_VARS['dbLabel'].".loginstk where user_account='".$HTTP_SESSION_VARS['useraccount']."') ".
				" order by warehouse.warehouse_code";
$resultwh = mysql_query($querywarehouse,$connection) or die(mysql_error());
$whexist   = mysql_num_rows($resultwh);
if ($whexist == 0)
	$querywarehouse="select warehouse_code,warehouse_name from warehouse order by warehouse_code";
	
$resultwarehouse=mysql_query($querywarehouse,$connection) or die(mysql_error());


//Group List
$querygroup=" select distinct group_code, group_name ".
				" from grouping where group_code in (select group_code from ".$HTTP_SESSION_VARS['dbLabel'].".loginstk where user_account='".$HTTP_SESSION_VARS['useraccount']."') ".
				" order by group_code";
$resultgroup = mysql_query($querygroup,$connection) or die(mysql_error());
$groupexist   = mysql_num_rows($resultgroup);
if ($groupexist == 0)
	$querygroup="select group_code, group_name from grouping order by group_code";
	
$resultgroup=mysql_query($querygroup,$connection) or die(mysql_error());

$querydflwh="select warehouse_code as defaultwarehouse from ".$HTTP_SESSION_VARS['dbLabel'].".loginstk where user_account='".$HTTP_SESSION_VARS['useraccount']."' and ifNull(default_warehouse,0) = 1 ";
$resultdflwh=mysql_query($querydflwh,$connection) or die(mysql_error());
while($rows=mysql_fetch_array($resultdflwh)){
  extract($rows);
}


print <<<HERE
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" href="default.css" type="text/css" />
<script type="text/javascript" language="javascript">


function SubmitRecord(ModuleNegativeQuantity,LoginNegativeQty,ModuleSerialNo,ItemNonStock,ItemExpire) {
	x = document.salesdt;
	
	var result = CheckFields(ModuleNegativeQuantity,LoginNegativeQty,ModuleSerialNo,ItemNonStock,ItemExpire);
	var SaId  = x.PSaId.value;
	var SaDtId  = x.txtSaDtId.value;
	var vMainMode = x.mainaction.value;
	var vMode= x.actionmode.value;
	
	if (SaDtId == '')
		vMode = 'submitrecord';	
	else
		vMode = 'editdt';	
	   
	if (result == 1) {
		x.action="Form_Delivery_Actions.php?mode="+vMode+"&mainmode="+vMainMode+"&SSaId="+SaId+"&SSaDtId="+SaDtId;
		x.submit();
		
	}	
}

function ChangeLocation() {
	x = document.salesdt;
	var vMode = x.actionmode.value;
	
	if (vMode == 'submitrecord') {
		
		opener.document.sales.actionmode.value = x.actionmode.value;
		opener.document.sales.mainaction.value = x.mainaction.value;
		//opener.document.sales.message.value = x.message.value;
		opener.document.sales.txtSaId.value = x.PSaId.value;
		opener.document.sales.submit();
		
	} 
	else if (vMode == 'submitrecord' || vMode == 'editdt') {
		opener.document.sales.actionmode.value = x.actionmode.value;
		opener.document.sales.mainaction.value = x.mainaction.value;
		opener.document.sales.txtSaId.value = x.PSaId.value;
		opener.document.sales.submit();
		
		if (x.message.value == '')
			self.close();
	
	}
	
	//x.txtItemCode.focus();
}

function CheckFields(ModuleNegativeQuantity,LoginNegativeQty,ModuleSerialNo,ItemNonStock,ItemExpire){
  
    x = document.salesdt;
	
	var SaDtItem	 = x.txtItemCode.value;
	var SaDtWarehouse = x.lstWarehouse.value;
	var SaDtQty		 = x.txtSaDtQty.value;
	var SaDtQty2	 = x.txtSaDtQty2.value;
	var SaDtPrice 	 = x.txtSaDtPrice.value;
	var SaDtDisc 	 = x.txtSaDtDiscount.value;
	var AvailableQty = x.txtAvailableQty.value;
	var ItemWithSerial = x.i_withserial.value;
	
	var SaDtExpireDate = x.txtSaDtExpireDate.value;
	var SaDtBatchNo    = x.txtSaDtBatchNo.value;
	
	var vmode = x.actionmode.value;
	
	if (SaDtPrice == '') SaDtPrice = 0;
	if (SaDtQty == '') SaDtQty = 0;
	if (SaDtQty2 == '') SaDtQty2 = 0;
	if (AvailableQty == '') AvailableQty = 0;
	if (ItemWithSerial == '') ItemWithSerial = 0;
	
	SaDtQty = parseInt(SaDtQty);	
	AvailableQty = parseInt(Math.abs(AvailableQty));
	
	if (SaDtWarehouse=='')
	{
		alert("Warehouse is mandatory!");
		x.lstWarehouse.focus();
		return 0;
	}
	else if (SaDtItem=='')
	{
		alert("Item is mandatory!");
		x.txtItemCode.focus();
		return 0;
	}
	else if ( SaDtQty*1 != SaDtQty/1 || SaDtQty < 0 || (SaDtQty > AvailableQty && (ItemWithSerial == 0 || ModuleSerialNo == 0) && (ModuleNegativeQuantity == 0 || LoginNegativeQty == 0) && ItemNonStock == 0)) {
		alert('Quantity ('+SaDtQty+') should be a NUMERIC and MORE THAN ZERO and NOT MORE than [Available ('+AvailableQty+')] ');
		if (x.txtSaDtQty.type != 'hidden')
			x.txtSaDtQty.focus();
			
		return 0;
	}
	else if ((SaDtPrice*1 != SaDtPrice/1 || SaDtPrice < 0) ) {
		alert('Price should be a NUMERIC and POSITIVE value');
		x.txtSaDtPrice.focus();
		return 0;
	}
	else if ((SaDtDisc != '' && SaDtDisc*1 != SaDtDisc/1) ) {
		alert('Discount should be a NUMERIC value');
		x.txtSaDtDiscount.focus();
		return 0;
	}
	else if ((SaDtQty2 != '' && SaDtQty2*1 != SaDtQty2/1) ) {
		alert('Item Qty2 should be a NUMERIC value.');
		x.txtSaDtQty2.focus();
		return 0;
	}
	else if (ItemExpire == 1 && SaDtExpireDate == '' ) {
		alert('Item Expire Date is mandatory.');
		x.txtSaDtExpireDate.focus();
		return 0;
	}
	else if (ItemExpire == 1 && SaDtBatchNo == '' ) {
		alert('Item Batch No is mandatory.');
		x.txtSaDtBatchNo.focus();
		return 0;
	}
		
	
	else
	return 1 ;	
}






//All= All form; D= Detail Part
function ClearForm(Option){
    x = document.salesdt;
	var vmode = x.actionmode.value;
	
	if (Option == 'D')
	{
		x.txtSaDtId.value='';
		x.txtItemCode.value='';
		x.txtItemDesc.value='';
		x.lstWarehouse.value='';
		x.lstGroup.value='';
		x.txtSaDtRemark.value='';
		x.txtSaDtQty.value='';
		x.txtSaDtQty2.value='';
		x.txtSaDtCloseQty.value='';
		x.txtSaDtSorderQty.value='';
		x.txtSaDtReturnQty.value='';
		x.txtSaDtSoldQty.value='';
		x.txtPOQty.value='';
		x.txtAvailableQty.value='';
		x.txtExistingQty.value='';
		x.txtSaDtPrice.value='';
		x.txtSaDtDiscount.value='';
		x.txtSaDtTotal.value='';
		x.txtSaDtVat.value='';
		
		x.txtSaDtExpireDate.value='';
		x.txtSaDtBatchNo.value='';
		
		//x.message.value='';
		x.actionmode.value = '';
	
	}

}


function CalcSaDtTotal(dec) {
	x = document.salesdt;
	var vmode = x.actionmode.value;
	var Qty = x.txtSaDtQty.value;
	var Price = x.txtSaDtPrice.value;
	var Discount = x.txtSaDtDiscount.value;
	if (Qty == '') Qty = 0;
	if (Price == '') Price = 0;
	if (Discount == '') Discount = 0;
	
	Qty = parseInt(Qty);
	Price = parseFloat(Price);
	Discount = parseFloat(Discount);
	
	if (Qty > 0 && Price >= 0)
	   x.txtSaDtTotal.value = Math.round(((Qty*Price) - (Qty*Price*Discount/100))*Math.pow(10,dec))/Math.pow(10,dec);

}

function CalcFinalQty() {
	x = document.salesdt;
	var ClosingQty   = x.txtSaDtCloseQty.value;
	var AvailableQty = x.txtAvailableQty.value;
	var FinalQty = AvailableQty - ClosingQty;
	
	var el=document.getElementById("txtSaDtQty")

	x.txtSaDtQty.value = FinalQty;
	
	fire(el,'change');
}

function fire(el,evttype) {
	if (document.createEvent) {
        var evt = document.createEvent('HTMLEvents');
        evt.initEvent( evttype, false, false);
        el.dispatchEvent(evt);
    } 
	else if (document.createEventObject) {
        el.fireEvent('on' + evttype);
    }    
}

function CalcQty2(ModuleUnit1Method,UnitCoef,Option) {
	x = document.salesdt;
	var Qty  = x.txtSaDtQty.value;
	var Qty2 = x.txtSaDtQty2.value;
	
	if (Qty == '')  Qty = 0;
	if (Qty2 == '') Qty2 = 0;
	
	if(ModuleUnit1Method == 1) {
		if (Qty > 0 && Option == 1 && document.getElementById('txtSaDtQty2').type == 'text') {
			x.txtSaDtQty2.value = Qty*UnitCoef;
		}	
		else if (Qty == 0 && Option == 1 && document.getElementById('txtSaDtQty2').type == 'text') {
			x.txtSaDtQty2.value = '';
		}
	}
	//Case Modify Qty and Qty2 Should Be Empty
	else if(ModuleUnit1Method == 0 && Option == 1 && Qty2 == 0) {
		if (Qty > 0 && UnitCoef != 0 && document.getElementById('txtSaDtQty2').type == 'text') {
			x.txtSaDtQty2.value = Qty/UnitCoef;
		}	
		else if (Qty == 0 && document.getElementById('txtSaDtQty2').type == 'text') {
			x.txtSaDtQty2.value = '';
		}
	}
	//Case Modify Qty2 Get Qty
	else if(ModuleUnit1Method == 0 && Option == 2) {
		if (Qty2 > 0 && document.getElementById('txtSaDtQty2').type == 'text') {
			x.txtSaDtQty.value = Qty2*UnitCoef;
		}	
		else if (Qty2 == 0 && document.getElementById('txtSaDtQty2').type == 'text') {
			x.txtSaDtQty.value = '';
		}
	}
}

function CheckSaDtQty(ModuleDeliveryWithSorder,MaxExceedQty) {

	x = document.salesdt;
	var OQty = x.txtSaDtSorderQty.value;
	var SQty = x.txtSaDtQty.value;
	var ReturnQty = x.txtSaDtReturnQty.value;
	var SoldQty   = x.txtSaDtSoldQty.value;
	
	if (OQty == '') OQty = 0;
	if (SQty == '') SQty = 0;
	if (ReturnQty == '') ReturnQty = 0;
	if (SoldQty == '') SoldQty = 0;
	
	OQty = parseFloat(OQty);
	SQty = parseFloat(SQty);
	ReturnQty = parseFloat(ReturnQty);
	SoldQty = parseFloat(SoldQty);
	
	var vAllowedQty = (MaxExceedQty*OQty/100);
	
	if (SQty*1 != SQty/1 || SQty < 0) {
		alert('Quantity ('+SQty+') should be a NUMERIC and POSITIVE value');
		x.txtSaDtQty.focus();
	}
	else if ((SQty - OQty) > vAllowedQty && OQty > 0 && ModuleDeliveryWithSorder == 1) { 
		alert('Quantity entered not allowed. Qty must be <= Ordered Qty ['+OQty+'].');
		x.txtSaDtQty.focus();
	} 
	else if (SQty < ReturnQty && ReturnQty > 0) {
		alert('Quantity entered not allowed. Qty must be >= Returned Qty ['+ReturnQty+'].');
		x.txtSaDtQty.focus();
	}
	else if (SQty < SoldQty && SoldQty > 0) {
		alert('Quantity entered not allowed. Qty must be >= Sold Qty ['+SoldQty+'].');
		x.txtSaDtQty.focus();
	}
}

function SetItemVat(ModuleDelivery) {
	x = document.salesdt;
	var vmode = x.actionmode.value;
	
	if (ModuleDelivery == 0 && document.getElementById('chkSaDtVat')) {
		if (x.txtSaDtVat.value == 1)
		   x.chkSaDtVat.checked = true;
	}
	   
}


function showlistItems(str){
  var vdate, vid, vItemType, vItemSort,vItemCode;
  x = document.salesdt;
  
  vdate = x.PSaDate.value;
  vid   = x.PSaId.value;
  vItemType  = x.lstItemType.value;
  vItemSort  = x.lstItemSort.value;
  vItemGroup = x.lstGroup.value;
  vItemWh    = x.lstWarehouse.value;
  vItemCode  = x.txtItemCode.value;
  
  vItemWh = vItemWh.replace('&','%26');
  
  window.open('List_SorItems.php?frm=2&PItem_Code='+vItemCode+'&ItemType='+vItemType+'&ItemSort='+vItemSort+'&ItemGroup='+vItemGroup+'&ItemWh='+vItemWh+'&TransDate='+vdate,'mywindow','width=850,height=400,toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=yes,copyhistory=no,resizable=yes');
}

function showlistBatchNo(str) {
	x = document.salesdt;
	vItemCode  = x.txtItemCode.value;
	
	window.open('List_BatchNo.php?frm=1&PItem_Code='+vItemCode,'List_BatchNo','width=580,height=400,toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=yes,copyhistory=no,resizable=yes');
}

function showlistProject(str){

  window.open('List_SorProject.php?frm=21&item='+str,'mywindow','width=850,height=550,toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=yes,copyhistory=no,resizable=yes');
}

function showlistCostcenter(str){

  window.open('List_SorCostcenter.php?frm=21&item='+str,'mywindow','width=850,height=550,,toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=yes,copyhistory=no,resizable=yes');
}

function RefreshPage()
{
  document.salesdt.submit();

}

function LoadItemPrice(PriceOption)
{
	x=document.salesdt;
	x.LoadPrice.value = PriceOption;
	//x.action="Form_Delivery_Actions.php?LoadPrice=1";
	x.submit();
}

function kd(e)
{
	x=document.salesdt;
    var intKey = (window.Event) ? e.which : e.keyCode;
    if (intKey == 13) { //enter key
        //x.btnSubmitRecord.click();
		return false;
    }
    return true;
}

</script>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Delivery Detail - Add Items</title>


<script type="text/javascript" src="dropdown.js"></script>
<link rel="stylesheet" href="default.css" type="text/css" />
<link rel="stylesheet" href="short.css" type="text/css" />
<link rel="stylesheet" href="dropdown.css" type="text/css" />
<style type="text/css">

body,td,th {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
}
body {
	margin-top: 2px;
	margin-left: 1px;
}
a:link {
	text-decoration: none;
	color: #0000FF;
}
a:visited {
	text-decoration: none;
	color: #0000FF;
}
a:hover {
	text-decoration: none;
	color: #0000FF;
}
a:active {
	text-decoration: none;
	color: #0000FF;
}
.style11 {color: #999999; font-weight: bold; }
.style12 {
	font-size: 9px;
	color: #999999;
	font-weight: bold;
}
.style15 {color: #5151FF; font-size: 10px;}
.style16 {
	font-size: 16px;
	color: #FF0000;
	font-weight: bold;
	font-family: "Times New Roman", Times, serif;
}
.style17 {font-size: 9px}
.style25 {color: #999999; font-weight: bold; font-size: 10px; }
.style26 {color: #FF0000}
.style27 {color: #999999 ;font-size: 10px;}
.style28 {color: #FFFFFF ;font-size: 10px;}

</style>

<link type="text/css" rel="stylesheet" href="dhtmlgoodies_calendar.css?random=20051112" media="screen"></LINK>
<SCRIPT type="text/javascript" src="dhtmlgoodies_calendar.js?random=20060118"></script>

</head>
<body onLoad='ChangeLocation();' >
<form name='salesdt' method='post'>
<input type='hidden' name='message' value='$message'>
<input type='hidden' name='mainaction' value='$mainaction'>
<input type='hidden' name='actionmode' value='$actionmode'>
<input type='hidden' name='LoadPrice' value='$LoadPrice'>
<input type='hidden' name='PSaDate' value='$PSaDate'>
<input type='hidden' name='PSaId' value='$PSaId'>
<input type='hidden' name='PSaDtId' value='$PSaDtId'>
<input type='hidden' name='PSaMaturityDate' value='$PSaMaturityDate'>
<input type='hidden' name='PSaClientCode' value='$PSaClientCode'>
<input type='hidden' name='PSaSalesmanCode' value='$PSaSalesmanCode'>
<input type='hidden' name='PSaCurr' value='$PSaCurr'>
<input type='hidden' name='PSaProjectCode' value='$PSaProjectCode'>
<input type='hidden' name='PSaCostCentCode' value='$PSaCostCentCode'>
<input type='hidden' name='PSaDiscount' value='$PSaDiscount'>
<input type='hidden' name='PSaDiscountAmt' value='$PSaDiscountAmt'>
<input type='hidden' name='PSaVatChkbx' value='$PSaVatChkbx'>

<input type='hidden' name='PSaVehicleWeight' value='$PSaVehicleWeight'>
<input type='hidden' name='PSaVehicleLoadWeight' value='$PSaVehicleLoadWeight'>



HERE;
echo "<input type='hidden' name='PSaRemark' value='".htmlspecialchars($PSaRemark, ENT_QUOTES)."' > 
	  <input type='hidden' name='PSaDriverName' value='".htmlspecialchars($PSaDriverName, ENT_QUOTES)."' >
	  <input type='hidden' name='PSaVehicleNumber' value='".htmlspecialchars($PSaVehicleNumber, ENT_QUOTES)."' >
	  <input type='hidden' name='PSaDAddress' value='".htmlspecialchars($PSaDAddress, ENT_QUOTES)."' > 
	  <input type='hidden' name='PSaIAddress' value='".htmlspecialchars($PSaIAddress, ENT_QUOTES)."' >";
echo "<input type='hidden' name='PSaManualNo' value='".htmlspecialchars($PSaManualNo, ENT_QUOTES)."' > ";

	

//Pack Item Module
$ModePackItem = '';
if ($Module_Pack == 0)
	$ModePackItem = ' disabled ';
	

// User Has No Access To Modify The Price / Discount	
$ModeModifySellPrice = '';
$DiscountMode = '';
if ($Login_ModifySellingPrice == 0) $ModeModifySellPrice = ' readonly ';
if ($Login_ModifyDiscount == 0)	$DiscountMode = ' readonly ';

$PriceLabel = 'Price';	
if ($SalesTTC == 1) $PriceLabel = 'Price TTC';	

$lstWarehouse = $_POST["lstWarehouse"]; if ($lstWarehouse == ""){$lstWarehouse = $_GET["lstWarehouse"];}   

if (empty($lstWarehouse)) {
	if(!empty($defaultwarehouse))
		$lstWarehouse = $defaultwarehouse;
	else	
		$lstWarehouse = $SetupDftWareHouse;
}

$lstItemType = $_POST['lstItemType']; if ($lstItemType == ""){$lstItemType = $_GET["lstItemType"];} if ($lstItemType == ""){$lstItemType = "All";}
$lstItemSort = $_POST['lstItemSort']; if ($lstItemSort == ""){$lstItemSort = $_GET["lstItemSort"];} if ($lstItemSort == ""){$lstItemSort = "ItemCode";}	

if ($Module_ProjectDt == 1 && empty($txtProjectCodeDt))     $txtProjectCodeDt  = $PSaProjectCode; 
if ($Module_CostCenterDt == 1 && empty($txtCostCentCodeDt)) $txtCostCentCodeDt = $PSaCostCentCode; 

$vSalesExists = 0;

//Edit Sales Detail Mode
if($PSaDtId != ''){
	$querydt = " Select DeliveryDt.DeliveryDt_id, DeliveryDt.Item_code, Item_Description, DeliveryDt.Warehouse_Code, ".
	           " DeliveryDt_Remark, DeliveryDt_Quantity, Round(DeliveryDt_Price, ".$DecimalBase."), DeliveryDt_PriceBase1, DeliveryDt_PriceBase2, ".
			   " Round(DeliveryDt_DiscountPer, ".$DecimalBase."), if(Items.Item_Vat !='', 1, 0) As ItemVat, ".
			   " Round(((DeliveryDt_Quantity*DeliveryDt_Price)-((DeliveryDt_Quantity*DeliveryDt_Price*ifNull(DeliveryDt_DiscountPer,0))/100)), ".$DecimalBase.") As Total, ".
			   " Round(DeliveryDt_PriceTTC, ".$DecimalBase."), ".
			   " Round(((DeliveryDt_Quantity*DeliveryDt_PriceTTC)-((DeliveryDt_Quantity*DeliveryDt_PriceTTC*ifNull(DeliveryDt_DiscountPer,0))/100)), ".$DecimalBase.") As TotalTTC, ".
			   " Sorder_reference, SorderDt.SorderDt_Quantity, SorderDt.Sorder_ID, DeliveryDt.Item_Unit2Qty, DeliveryDt.DeliveryDt_ClosingQuantity, ".
			   " Date_Format(DeliveryDt.DeliveryDt_ExpireDate,'%d/%m/%Y') As DeliveryDt_ExpireDate, DeliveryDt.DeliveryDt_BatchNo, ".
			   " DeliveryDt.Project_code, DeliveryDt.CostCent_Code ".
			   " From Temp_DeliveryDt As DeliveryDt ".
			   " Inner Join Temp_Deliveries on DeliveryDt.Delivery_ID = Temp_Deliveries.Delivery_ID ".
			   " Left Join SorderDt on SorderDt.SorderDt_ID = DeliveryDt.RelatedDt_Id  ".
			   " Left Join Items on DeliveryDt.Item_code = Items.Item_code ".
	           " Where DeliveryDt.DeliveryDt_id = ".$PSaDtId;
			   //" And Logged_Code = '".$HTTP_SESSION_VARS['useraccount']."' ";			   
	//echo $querydt;
	$resultdt=mysql_query($querydt,$connection) or die(mysql_error());
    $rowsdt=mysql_fetch_array($resultdt);
	
	$txtSaDtId        = $rowsdt[0];
	
	if (empty($txtItemCode)) {
		$txtItemCode      = $rowsdt[1];
		$txtItemDesc      = $rowsdt[2];
	}
	
	if ($lstWarehouse == '')
		$lstWarehouse = $rowsdt[3];
		
	$txtSaDtRemark    = $rowsdt[4];
	$txtSaDtQty       = $rowsdt[5];
	$txtSaDtQty2      = $rowsdt[17];
	$txtSaDtCloseQty  = $rowsdt[18];
	
	if ($SalesTTC == 1) 	
		$txtSaDtPrice 	   = $rowsdt[12];
	else
		$txtSaDtPrice 	   = $rowsdt[6];
		
	$txtSaDtDiscount  = $rowsdt[9];
	
	if ($SalesTTC == 1) 	
		$txtSaDtTotal     = $rowsdt[13];
	else
		$txtSaDtTotal     = $rowsdt[11];
		
	$chkSaDtVat  = $rowsdt[10];
	$txtSaDtVat  = $rowsdt[10];
	
	$txtSaDtSorderRef = $rowsdt[14];
	$txtSaDtSorderQty = $rowsdt[15];
	$txtSaDtSorderID  = $rowsdt[16];
	
	$txtSaDtExpireDate = $rowsdt[19];
	$txtSaDtBatchNo    = $rowsdt[20];
	$txtProjectCodeDt  = $rowsdt[21]; 
	$txtCostCentCodeDt = $rowsdt[22];
	
	
	$sub_query = " Select ifNull(Sum(ifNull(DeliveryDt1.DeliveryDt_Quantity,0)),0) ".
				 " From Temp_DeliveryDt As DeliveryDt, DeliveryDt As DeliveryDt1 ".
				 " Where DeliveryDt.DeliveryDt_id = ".$PSaDtId.
				 " And DeliveryDt.Journal_Type = 'DI' ".
				 " And DeliveryDt1.Journal_Type = 'DI' ".
				 " And DeliveryDt1.Delivery_ID != '".$PSaId."' ".
				 " And DeliveryDt1.RelatedDt_Id = DeliveryDt.RelatedDt_Id ";

	$sub_result = selectData($connection, $sub_query);
	$txtSaDtDelQty = $sub_result[0];
	if ($txtSaDtDelQty == '') $txtSaDtDelQty = 0;
	
	$txtSaDtSorderQty = $txtSaDtSorderQty - $txtSaDtDelQty;
	
	$sub_query = " Select ifNull(Sum(ifNull(DeliveryDt1.DeliveryDt_Quantity,0)),0) ".
				 " From Temp_DeliveryDt As DeliveryDt, DeliveryDt As DeliveryDt1 ".
				 " Where DeliveryDt.DeliveryDt_id = ".$PSaDtId.
				 " And DeliveryDt1.Journal_Type = 'DR' ".
				 " And DeliveryDt1.RelatedDt_Id = DeliveryDt.DeliveryDt_id ";

	$sub_result = selectData($connection, $sub_query);
	$txtSaDtReturnQty = $sub_result[0];
			
	
	$sub_query = " Select ifNull(Sum(ifNull(SalesDt.SaleDt_Quantity,0)),0) ".
				 " From Temp_DeliveryDt As DeliveryDt, SalesDt ".
				 " Where DeliveryDt.DeliveryDt_id = ".$PSaDtId.
				 " And SalesDt.Journal_Type = 'SI' ".
				 " And SalesDt.RelatedDt_Id = DeliveryDt.DeliveryDt_id ";

	$sub_result = selectData($connection, $sub_query);
	$txtSaDtSoldQty = $sub_result[0];
		
	
	$sub_query = " Select Count(*) ".
				 " From SalesDt ".
				 " Where SalesDt.RelatedDt_Id = '".$PSaDtId."' ".
				 " And SalesDt.Journal_Type = 'SI' ";

	$sub_result = selectData($connection, $sub_query);
	$vSalesExists = $sub_result[0];
}

$i_nonstock = 0;
$i_unitcoef = 1;
$i_expire   = 0;

if($txtItemCode != ''){

	$min_sorder_qty = 0;
	$min_available_qty = 9999999999;
	$min_exists_qty = 9999999999;
	$available_qty = 0;
	$exist_qty = 0;
	
	$vItemCode    = '';
	$vItemPackQty = 0;
	$vItemTempQty = 0;
	
	if (empty($PSaId)) $PSaId = 0;
	if (empty($PSaDtId)) $PSaDtId = 0;
	if ($txtSaDtSorderID == '') $txtSaDtSorderID = 0;
	
	if($lstItemType == 'Packed' || $lstItemType == 'PromoPacked'){
		$query = "SELECT Item_CodePackDt, Sum(PackDt_Quantity) FROM packdt WHERE Item_Code = '".str_replace('\\','\\\\',$txtItemCode)."' Group By Item_CodePackDt ";
		$result = mysql_query($query, $connection);			
		//echo $query;
		while($cur = mysql_fetch_row($result)){
			$Qry_QtyInTemp    = " Select ifNull(Sum(ifNull(DeliveryDt_Quantity,0)),0) FROM Temp_Deliverydt ".
							    " WHERE Item_code = '".$cur[0]."'  And  Warehouse_code = '".$lstWarehouse."' And Delivery_ID = $PSaId  "; //And DeliveryDt_ID != ifNull('".$PSaDtId."',0)
			$Qry_QtyInTemp1   = " Select ifNull(Sum(ifNull(DeliveryDt_Quantity,0)),0) FROM Temp_Deliverydt ".
							    " WHERE Item_code = '".$cur[0]."'  And  Warehouse_code = '".$lstWarehouse."' And Delivery_ID = $PSaId  And DeliveryDt_ID = $PSaDtId"; 
		
			/*$Qry_QtyExists    = " Select cast(Sum(ifNull(QuantityProduceIn,0) - ifNull(QuantityProduceOut,0) + ifNull(QuantityEntered,0) - ifNull(QuantityDelivered,0)) as decimal(20,2)) as QuantityExists From StkTransaction ".
		    				    " Where StkTransaction.Item_Code = '".$cur[0]."' ".
			    			    " And (('".$lstWarehouse."' = '' and 1 = 1) or ('".$lstWarehouse."' != '' and ifNull(StkTransaction.Warehouse_Code, -1) = ifNull('".$lstWarehouse."', ifNull(StkTransaction.Warehouse_Code, -1))) ) ".
				    		    " And Transaction_Date <= '".insertMySQLDate($PSaDate)."' ".
							    " And Transaction_ID Not In (Select DeliveryDt_Id From DeliveryDt where Delivery_Id = $PSaId)";*/
		
		    $Qry_QtyExists = " SELECT ifnull(QtyExists('".$cur[0]."', '".$lstWarehouse."', '".insertMySQLDate($PSaDate)."', $PSaDtId, 'DI', '', ''),0) As QtyExists ";
			//echo "<br><br>".$Qry_QtyInTemp;
			//echo "<br><br>".$Qry_QtyExists;
			$sub_result2 = selectData($connection, $Qry_QtyInTemp);
			$sub_result3 = selectData($connection, $Qry_QtyExists);
			$sub_result4 = selectData($connection, $Qry_QtyInTemp1);
			
			if ($sub_result2[0] < 0){$sub_result2[0] = 0;}
			if ($sub_result4[0] < 0){$sub_result4[0] = 0;}
			
			//if (!empty($sub_result3[0])) {
				$exist_qty = (($sub_result3[0] - $sub_result2[0] + $sub_result4[0]) / $cur[1]);
				if ($exist_qty < $min_exists_qty){
					$min_exists_qty = $exist_qty;
					
					$vItemCode    = $cur[0];
					$vItemPackQty = $cur[1];
					$vItemTempQty = $sub_result2[0];
				}
			//}		
			
		}
		
		
		$Qry_QtyBookTemp  = " SELECT ifnull(QtyBooking_Temp('".$vItemCode."', '".$lstWarehouse."', '".insertMySQLDate($PSaDate)."', $txtSaDtSorderID),0)";
		$Qry_QtyAvailable = " SELECT ifnull(QtyExistsWSorder_Temp('".$vItemCode."', '".$lstWarehouse."', '".insertMySQLDate($PSaDate)."', $PSaId, 'DI', '', '', $txtSaDtSorderID),0) QtyExists ";
			
		//echo "<br><br>".$Qry_QtyBookTemp;
		//echo "<br><br>".$Qry_QtyAvailable;
		
		$sub_result  = selectData($connection, $Qry_QtyBookTemp);
		$sub_result1 = selectData($connection, $Qry_QtyAvailable);
			
		if ($sub_result[0] < 0){$sub_result[0] = 0;}
			
		$booking_qty = (($sub_result[0] + $vItemTempQty) / $vItemPackQty) ; 
		$min_sorder_qty = $booking_qty;
			
		/*$available_qty = (($sub_result1[0] - $sub_result2[0] + $sub_result4[0]) / $cur[1]);
		if ($available_qty < $min_available_qty && $available_qty > 0){
			$min_available_qty = $available_qty;
		}*/
		
		$min_sorder_qty = ceil($min_sorder_qty);
		//$min_available_qty = floor($min_available_qty);
		$min_exists_qty = floor($min_exists_qty);
		$min_available_qty = floor($min_exists_qty) - ceil($min_sorder_qty);

	}else{
			
		$Qry_QtyBookTemp = "SELECT ifnull(QtyBooking_Temp('".str_replace('\\','\\\\',$txtItemCode)."', '".$lstWarehouse."', '".insertMySQLDate($PSaDate)."', $txtSaDtSorderID),0) ";
		
		/*$Qry_QtyExists   = " Select cast(ifNull(Sum(ifNull(QuantityProduceIn,0) - ifNull(QuantityProduceOut,0) + ifNull(QuantityEntered,0) - ifNull(QuantityDelivered,0)),0) as decimal(20,2)) as QuantityExists From StkTransaction ".
						   " Where StkTransaction.Item_Code = '".$txtItemCode."' ".
						   " And (('".$lstWarehouse."' = '' and 1 = 1) or ('".$lstWarehouse."' != '' and ifNull(StkTransaction.Warehouse_Code, -1) = ifNull('".$lstWarehouse."', ifNull(StkTransaction.Warehouse_Code, -1))) ) ".
						   " And Transaction_Date <= '".insertMySQLDate($PSaDate)."' ".
						   " And Transaction_ID Not In (Select DeliveryDt_Id From DeliveryDt where Delivery_Id = $PSaId)";*/
						   
		$Qry_QtyExists = " SELECT ifnull(QtyExists('".str_replace('\\','\\\\',$txtItemCode)."', '".$lstWarehouse."', '".insertMySQLDate($PSaDate)."', $PSaDtId, 'DI', '', ''),0) As QtyExists ";				   
		//echo $Qry_QtyExists;
		
		$Qry_QtyAvailable = " Select QtyExistsWSorder_Temp('".str_replace('\\','\\\\',$txtItemCode)."', '".$lstWarehouse."', '".insertMySQLDate($PSaDate)."', $PSaId, 'DI', '', '', $txtSaDtSorderID) QtyExists From Dual ";
		
		$Qry_QtyInTemp  = " Select ifNull(Sum(ifNull(DeliveryDt_Quantity,0)),0) FROM Temp_Deliverydt ".
		                  " WHERE Item_code = '".str_replace('\\','\\\\',$txtItemCode)."'  And  Warehouse_code = '".$lstWarehouse."' And Delivery_ID = $PSaId  "; //And DeliveryDt_ID != ifNull('".$PSaDtId."',0)
		$Qry_QtyInTemp1 = " Select ifNull(Sum(ifNull(DeliveryDt_Quantity,0)),0) FROM Temp_Deliverydt ".
						  " WHERE Item_code = '".str_replace('\\','\\\\',$txtItemCode)."'  And  Warehouse_code = '".$lstWarehouse."' And Delivery_ID = $PSaId  And DeliveryDt_ID = $PSaDtId"; 
		
		$sub_result = selectData($connection, $Qry_QtyBookTemp);
		if ($sub_result[0] < 0){$sub_result[0] = 0;}
		$min_sorder_qty = $sub_result[0];
		
		$sub_result1 = selectData($connection, $Qry_QtyExists);
		$min_exists_qty = $sub_result1[0];
		
		$sub_result2 = selectData($connection, $Qry_QtyAvailable);
		$min_available_qty = $sub_result2[0];
		
		$sub_result3 = selectData($connection, $Qry_QtyInTemp);
		if($sub_result3[0] == '')  $sub_result3[0] = 0;
		
		$sub_result4 = selectData($connection, $Qry_QtyInTemp1);
		if($sub_result4[0] == '')  $sub_result4[0] = 0;
		
		


		$min_available_qty = $min_available_qty - $sub_result3[0] + $sub_result4[0];
		$min_exists_qty = $min_exists_qty - $sub_result3[0] + $sub_result4[0];
		$min_sorder_qty = $min_sorder_qty;
		//$min_available_qty = $min_exists_qty - $min_sorder_qty;
		
		
	}
	//echo $query;
	$txtPOQty = $min_sorder_qty;
	$txtAvailableQty = $min_available_qty;
	$txtExistingQty = $min_exists_qty;
	
	
	
	$query = "SELECT Client_SellingPrice, ifNull(Client_DiscountPer,0) FROM Clients WHERE Ledger_Number = '".$PSaClientCode."'";
	//echo "<br><br>".$query;
	$result = selectData($connection, $query);
	$c_sp = $result[0];
	$c_discper = $result[1];
	
	
	
	$query = " SELECT Item_SellingPrice1, Item_SellingPrice2, Item_SellingPrice3, Item_SellingPrice4, Item_SellingPrice5, Item_SellingPrice6, ".
         	 " ifNull(Item_Promotion, 0), ifNull(item_withserialno,0) As ItemWithSerialNo, ifNull(Item_NonStock, 0), Item_UnitSalesDesc, ".
			 " Item_UnitPurchaseDesc, ifNull(Item_Unit,1), ifNull(Item_Expire,1) ".
			 " FROM items WHERE Item_Code = '".str_replace('\\','\\\\',$txtItemCode)."'";
		
	//echo "<br><br>".$query;
	$result = selectData($connection, $query);
	$i_sp         = $result[0];
	$i_promo      = $result[6];
	$i_withserial = $result[7];
	$i_nonstock   = $result[8];
	$i_unit1  	  = $result[9];
	$i_unit2 	  = $result[10]; 
	$i_unitcoef	  = $result[11];
	$i_expire	  = $result[12];
	
	switch ($c_sp){
		case "II":
			$i_sp = $result[1]; break;
		case "III":
			$i_sp = $result[2]; break;
		case "IV":
			$i_sp = $result[3]; break;
		case "V":
			$i_sp = $result[4]; break;
		case "VI":
			$i_sp = $result[5]; break;
	}
		
	
	if(($i_sp == 0 || $i_sp == '') && ($lstItemType == 'Packed' || $lstItemType == 'PromoPacked')){
		$query = " SELECT Sum(if(ifNull(PackDt_CostPercentage,0) > 0, (ifNull(Item_SellingPrice1,0)*PackDt_Quantity), 0)) As Item_SellingPrice1, ".
				 " Sum(if(ifNull(PackDt_CostPercentage,0) > 0, (ifNull(Item_SellingPrice2,0)*PackDt_Quantity), 0)) As Item_SellingPrice2, ".
				 " Sum(if(ifNull(PackDt_CostPercentage,0) > 0, (ifNull(Item_SellingPrice3,0)*PackDt_Quantity), 0)) As Item_SellingPrice3, ".
				 " Sum(if(ifNull(PackDt_CostPercentage,0) > 0, (ifNull(Item_SellingPrice4,0)*PackDt_Quantity), 0)) As Item_SellingPrice4, ".
				 " Sum(if(ifNull(PackDt_CostPercentage,0) > 0, (ifNull(Item_SellingPrice5,0)*PackDt_Quantity), 0)) As Item_SellingPrice5, ".
				 " Sum(if(ifNull(PackDt_CostPercentage,0) > 0, (ifNull(Item_SellingPrice6,0)*PackDt_Quantity), 0)) As Item_SellingPrice6, ".
				 " 0 As Item_Promotion ".
				 " FROM items ".
				 " INNER JOIN packdt on packdt.item_codepackdt = items.item_code ".
				 " WHERE packdt.Item_Code = '".str_replace('\\','\\\\',$txtItemCode)."'";
		
		//echo "<br><br>".$query;
		$result = selectData($connection, $query);
		$i_sp = $result[0];
		$i_promo = $result[6];	
		
		switch ($c_sp){
			case "II":
				$i_sp = $result[1]; break;
			case "III":
				$i_sp = $result[2]; break;
			case "IV":
				$i_sp = $result[3]; break;
			case "V":
				$i_sp = $result[4]; break;
			case "VI":
				$i_sp = $result[5]; break;
		}
		
	} 
	
	//Get The Last Selling Price For The Item
	if ($lstItemType == 'Packed' || $lstItemType == 'PromoPacked'){
		if ($Module_Delivery == 0) {
			$query = " SELECT if($SalesTTC = 1, DeliveryDt_PriceTTC, DeliveryDt_Price) FROM DeliveryDt WHERE Client_Code = '".$PSaClientCode."' And Item_CodePacked = '".str_replace('\\','\\\\',$txtItemCode)."' And ifNull(DeliveryDt_Price,0) > 0 ".
					 //" And (('".$lstWarehouse."' = '' And 1 = 1) Or ('".$lstWarehouse."' != '' And Warehouse_Code = '".$lstWarehouse."' )) ".
					 " Order By Delivery_Date Desc Limit 1 ";
		} else {
			$query = " SELECT if($SalesTTC = 1, SaleDt_PriceTTC, SaleDt_Price) FROM SalesDt WHERE Client_Code = '".$PSaClientCode."' And Item_CodePacked = '".str_replace('\\','\\\\',$txtItemCode)."' And ifNull(SaleDt_Price,0) > 0 ".
					 //" And (('".$lstWarehouse."' = '' And 1 = 1) Or ('".$lstWarehouse."' != '' And Warehouse_Code = '".$lstWarehouse."' )) ".
					 " Order By Sale_Date Desc Limit 1 ";
		
		}
	} else {
		if ($Module_Delivery == 0) {
			$query = " SELECT if($SalesTTC = 1, DeliveryDt_PriceTTC, DeliveryDt_Price) FROM DeliveryDt WHERE Client_Code = '".$PSaClientCode."' And Item_code = '".str_replace('\\','\\\\',$txtItemCode)."' And ifNull(DeliveryDt_Price,0) > 0 ".
					 //" And (('".$lstWarehouse."' = '' And 1 = 1) Or ('".$lstWarehouse."' != '' And Warehouse_Code = '".$lstWarehouse."' )) ".
					 " Order By Delivery_Date Desc Limit 1 ";
		} else {
			$query = " SELECT if($SalesTTC = 1, SaleDt_PriceTTC, SaleDt_Price) FROM SalesDt WHERE Client_Code = '".$PSaClientCode."' And Item_code = '".str_replace('\\','\\\\',$txtItemCode)."' And ifNull(SaleDt_Price,0) > 0 ".
					 //" And (('".$lstWarehouse."' = '' And 1 = 1) Or ('".$lstWarehouse."' != '' And Warehouse_Code = '".$lstWarehouse."' )) ".
					 " Order By Sale_Date Desc Limit 1 ";
		
		}
	}

	
	//echo $query;
	//exit;
	$result = selectData($connection, $query);
	$i_lsp = $result[0];
	//ECHO "CCCC";
	if(!isset($i_lsp)) $i_lsp = 0;

	if ($LoadPrice == 2) {
		//Get Item Cost Price	
		$query = "SELECT ifNull(MeanCostCur('".str_replace('\\','\\\\',$txtItemCode)."', '".insertMySQLDate($PSaDate)."', 1, '".$base1."', '".$PSaCurr."'),0) From Dual ";
		$result = selectData($connection, $query);
		//echo $query;
		$i_cp = Round($result[0], $DecimalBase);
	}
	
	//if($i_promo == 1) $i_sp = 0; 
	if($i_promo == 1 && $lstItemType != 'Packed' && $lstItemType != 'PromoPacked') $i_sp = 0; 
	
	if($PSaDtId == '') { if ($LoadPrice == 2) $txtSaDtPrice = $i_cp; else $txtSaDtPrice = $i_sp;}
	if($PSaDtId == '' && $Module_DeliveryWithSorder == 0 && $i_withserial == 1 && $Module_SerialNo == 1) $txtSaDtQty = 0;
	if($PSaDtId == '') $txtSaDtDiscount = $c_discper;
	$txtItemLastSellPrice = number_format($i_lsp, $DecimalBase);
	//$txtItemLastSellPrice=9999;
	$txtItemUnit1 = $i_unit1;
	$txtItemUnit2 = $i_unit2;
	
	
}


$style= "style=' background-color:#4069A7; color:#FFFFFF;font-family:Verdana, Arial, Helvetica, sans-serif; font-size:12px; width:120px;'";

	  
echo"   <tr><td valign='top'>
        <table border='0' style='table-layout:fixed' align='center' valign='top' >
          <col width=75>
		  <col width=170>
		  <col width=80>
		  <col width=300>
		  <col width=100>
		  <col width=70> ";

	  
	echo"  <tr bgcolor='#F7F7F7' height='25'>
		     <th colspan='6'><span class='style3'>Add Items </span></th></tr>
		   <tr bgcolor='#F7F7F7' >	
			 <td colspan='6' align='center'><font size='1' color='#FF0000' face='Verdana'><b>".$message."<br>".$WarningMsg."</b></font></td></tr>			 
			 
		   <tr bgcolor='#F7F7F7' height='25'>
             <td valign='center' align='left' ><input type='hidden' name='txtSaDtId' value='$txtSaDtId' ><span class='style12'>Warehouse&nbsp;<span class='style26'>*</span></span></td>";
			 
		if (($PSaDtId == '') || ($Module_ChangeInvoiceItems == 1 && $FI_ChangeInvoiceItems == 1)) {
		    echo"<td colspan='3'><select name='lstWarehouse' id='lstWarehouse' style='font-size:11px; width:200px; height:20px;' onchange='RefreshPage();' >";
			echo"<option></option>";
			while($wrhf=mysql_fetch_row($resultwarehouse)){
			echo"<option ";
				if (($lstWarehouse==$wrhf[0]) || ($DftWareHouse==$wrhf[0]))
					echo " selected ";
			echo" value='$wrhf[0]'>$wrhf[0] - $wrhf[1]</option>";
			}
			
			echo"</select></td>";
		} else 	{
			echo"<td colspan='3'><b>$lstWarehouse</b><input type='hidden' name='lstWarehouse' id='lstWarehouse' value='$lstWarehouse'></td>";
		
		}
			
		echo"<td align='left'><span class='style12'>Existing Qty</span></td>
			 <td align='right'><b>".number_format($txtExistingQty,2)."</b> <input type='hidden' name='txtExistingQty' value='$txtExistingQty' ></td>
		  </tr>	 
		  <tr bgcolor='#F7F7F7' height='25'>
             <td valign='center' align='left' ><span class='style12'>Group</span></td>
		     <td colspan='3'><select name='lstGroup' id='lstGroup' style='font-size:11px; width:350px; height:20px;' >";
			echo"<option></option>";
			while($groupf=mysql_fetch_row($resultgroup)){
			echo"<option ";
				if ($lstGroup==$groupf[0] )
					echo " selected ";
			echo" value='$groupf[0]'>$groupf[0] - $groupf[1]</option>";
			}
			
			echo"</select></td>
			
			<td align='left'><span class='style12'>Booking Qty</span></td>
			<td align='right'><b>".number_format($txtPOQty,2)."</b><input type='hidden' name='txtPOQty' value='$txtPOQty' ></td>
		  </tr>	
		  <tr bgcolor='#F7F7F7' height='25'>
			<td align='left'><span class='style12'>Item Type</span></td>
			<td colspan='3'><select name='lstItemType' style='font-size:11px; width:200px; height:20px;'>";
			
			if ($lstItemType == "All"){
				echo "<option selected value='All'>All Items</option>";
			}else {
				echo "<option value='All'>All Items</option>";
			}
			if ($lstItemType == "Packed" && $Module_Pack == 1){
				echo "<option selected value='Packed'>Packed</option>";
			}else if ($Module_Pack == 1){
				echo "<option value='Packed'>Packed</option>";
			}
			if ($lstItemType == "PromoPacked" && $Module_Pack == 1){
				echo "<option selected value='PromoPacked'>Promo Packed</option>";
			}else{
				echo "<option value='PromoPacked'>Promo Packed</option>";
			}
			if ($lstItemType == "Trading"){
				echo "<option selected value='Trading'>Trading</option>";
			}else{
				echo "<option value='Trading'>Trading</option>";
			}
			if ($lstItemType == "PromoTrading"){
				echo "<option selected value='PromoTrading'>Promo Trading</option>";
			}else{
				echo "<option value='PromoTrading'>Promo Trading</option>";
			}
			if ($lstItemType == "Production"){
				echo "<option selected value='Production'>Production</option>";
			}else{
				echo "<option value='Production'>Production</option>";
			}
			if ($lstItemType == "NonStock"){
				echo "<option selected value='NonStock'>Non-Stock</option>";
			}else{
				echo "<option value='NonStock'>Non-Stock</option>";
			}
			echo "</select></td>
			
			<td align='left'><span class='style12'>Real Qty</span></td>
			<td align='right'><b>".number_format($txtAvailableQty,2)."</b> <input type='hidden' name='txtAvailableQty' value='$txtAvailableQty' ></td>
		  </tr>
		
		  <tr bgcolor='#F7F7F7' height='25'>
			<td align='left'><span class='style12'>Sort By</span></td>
			<td colspan='5'><select name='lstItemSort' style='font-size:11px; width:200px; height:20px;'>";
			if ($lstItemSort == "ItemCode"){
				echo "<option selected value='ItemCode'>Item Code</option>";
			}else{
				echo "<option value='ItemCode'>Item Code</option>";
			}
			if ($lstItemSort == "ItemDesc"){
				echo "<option selected value='ItemDesc'>Item Desc</option>";
			}else{
				echo "<option value='ItemDesc'>Item Desc</option>";
			}
			echo "</select></td>
		  </tr>
	
		  <tr bgcolor='#F7F7F7' height='25'>
             <td valign='center' align='left' ><span class='style12'>Item&nbsp;<span class='style26'>*</span></span></td>";
			 
		if (($PSaDtId == '') || ($Module_ChangeInvoiceItems == 1 && $FI_ChangeInvoiceItems == 1)) {
		    echo " <td colspan='3'><input type='text' name='txtItemCode' value='$txtItemCode' onBlur='SetItemVat($Module_Delivery);'   maxlength='20' style='font-size:12px; width:110px; height:20px;'>
						<input type='text' name='txtItemDesc' id='txtItemDesc' value='$txtItemDesc' style='font-size:12px; width:270px; height:20px;' />
						<label><span class='style12'><img src='img/btnopen.jpg' title=' Select Item '  width='15' height='17' border='0' onMouseOver=\"style.cursor='hand'\" onClick='showlistItems(1); ' /></span></label></td>";
		} else {
			echo " <td colspan='3'><input type='hidden' name='txtItemCode' value='$txtItemCode' ><input type='hidden' name='txtItemDesc' id='txtItemDesc' value='$txtItemDesc'  />
					<b>$txtItemCode &nbsp;&nbsp; $txtItemDesc</b></td>";
		}
		
		$LoadButtonStatus = ' disabled ';
		if($txtItemCode != '') $LoadButtonStatus = '';
		
		if ($Module_Delivery == 0 && $FI_DeliverySalesPrice == 1) {
			echo" <td colspan='2' align='center'><input type='button' id='btnLoadCostPrice' name='btnLoadCostPrice'  value='Load CostPrice'  onclick='LoadItemPrice(2)' title='Load CostPrice' $style $LoadButtonStatus></td>";
		} else {
			echo" <td colspan='2' align='center'>&nbsp;</td>";
		}	
			
		echo "	
		  </tr>	 
		  <tr bgcolor='#F7F7F7' height='25'>
             <td valign='center' align='left' ><span class='style12'>Remark</span></td>
			 <td colspan='3'><input type='text' name='txtSaDtRemark' value='".htmlspecialchars($txtSaDtRemark, ENT_QUOTES)."'  maxlength='100' style='font-size:12px; width:385px; height:20px;'></td>";
			 
		if ($Module_Delivery == 0 && $FI_DeliverySalesPrice == 1) {
			echo" <td colspan='2' align='center'><input type='button' id='btnLoadSellPrice' name='btnLoadSellPrice'  value='Load SellPrice'  onclick='LoadItemPrice(1)' title='Load SellPrice' $style $LoadButtonStatus></td>";
		} else {
			echo" <td colspan='2' align='center'>&nbsp;</td>";
		}		 
			 
echo"	  </tr>";




if ($Module_DeliveryClosingQty == 1) {
	echo "<tr bgcolor='#F7F7F7' height='25'>
             <td valign='center' align='left' ><span class='style12'>Closing Qty</span></td>
			 <td align='left'><input type='text' name='txtSaDtCloseQty' value='$txtSaDtCloseQty' maxlength='20'  onchange='CalcFinalQty();' style='font-size:12px; width:100px; height:20px;'  ></td>
			 <td colspan='2' align='center'>&nbsp;</td>
			 <td colspan='2' align='center'>&nbsp;</td>
		  </tr>";

} else {
	echo"<input type='hidden' name='txtSaDtCloseQty' value='$txtSaDtCloseQty' >";
}

if ($Module_ProjectDt == 1 || $Module_CostCenterDt == 1) {
	echo"   <tr bgcolor='#F7F7F7'>";

	if ($Module_ProjectDt == 1) {
		echo" <td align='left'><span class='style12'>Project&nbsp;<span class='style12'>*</span></span></td>
			  <td align='left'> <span class='style12'>
				<input type='text' name='txtProjectCodeDt' id='txtProjectCodeDt' value='$txtProjectCodeDt' style='width:120px;' maxlength='15' readonly /></span>
				<label><span class='style12'><img src='img/btnopen.jpg' title=' Select Project ' width='15' height='20' border='0' onMouseOver=\"style.cursor='hand'\" onClick='showlistProject(1); '  /></span></label></td>";
	} else {
		echo" <td align='left'>&nbsp;</td>
			  <td align='left'><input type='hidden' name='txtProjectCodeDt' id='txtProjectCodeDt' value='' /></td>";
	}

	if ($Module_CostCenterDt == 1) {		  
		echo" <td align='left'><span class='style12'>Costcenter&nbsp;<span class='style12'>*</span></span></td>
			  <td align='left'><span class='style12'>
				<input type='text' name='txtCostCentCodeDt' id='txtCostCentCodeDt' value='$txtCostCentCodeDt' style='width:130px;' maxlength='15' readonly /></span>
				<label><span class='style12'><img src='img/btnopen.jpg' title=' Select Costcenter ' width='15' height='20' border='0' onMouseOver=\"style.cursor='hand'\"  onClick='showlistCostcenter(1); ' /></span></label></td>";
	} else {
		echo" <td align='left'>&nbsp;</td>
			  <td align='left'><input type='hidden' name='txtCostCentCodeDt' id='txtCostCentCodeDt' value='' /></td>";

	}
	echo"	  <td colspan='2' align='center'>&nbsp;</td>";
	echo"   </tr>";
}

if ($Module_ExpireDate == 1) {
	echo" <tr bgcolor='#F7F7F7' height='25'>
             <td valign='center' align='left' ><span class='style12'>Batch No</span></td>
			 <td><input type='text' name='txtSaDtBatchNo' value='".htmlspecialchars($txtSaDtBatchNo, ENT_QUOTES)."'  maxlength='40' style='font-size:12px; width:120px; height:20px;' readonly >
				<label><span class='style12'><img src='img/btnopen.jpg' title='Select Batch No'  width='15' height='17' border='0' onMouseOver=\"style.cursor='hand'\" onClick='showlistBatchNo(1); ' /></span></label></td>
			 <td valign='center' align='left'><span class='style12'>Expire Date</span></td>
			 <td><input type='text' name='txtSaDtExpireDate' value='$txtSaDtExpireDate' maxlength='10' style='font-size:12px; width:90px; height:20px;'>
					<a HREF='#' onClick=\"displayCalendar(document.salesdt.txtSaDtExpireDate,'dd/mm/yyyy',this); return false;\" NAME='anchor1' ID='anchor1'><img src='./img/cal.gif' border=0 align=center></a>
			 </td>
			 <td colspan='2' align='center'>&nbsp;</td>
		  </tr>	"; 	 
} else {
	echo" <input type='hidden' name='txtSaDtExpireDate' value='$txtSaDtExpireDate'>";
	echo" <input type='hidden' name='txtSaDtBatchNo' value='$txtSaDtBatchNo'>";
}



echo"	  <tr bgcolor='#F7F7F7'><td valign='top' colspan='6'>
			<table border='0' style='table-layout:fixed' align='left' valign='top' >
			<col width=75>";
			
		if ($Module_Delivery == 0 && $FI_DeliverySalesPrice == 1) {
			echo" <col width=75>";
			
			//if ($Module_DoubleUnit == 1) 
			echo"<col width=40>";
			echo" <col width=75>";
			if ($Module_DoubleUnit == 1) { echo"<col width=40>"; echo"<col width=75>"; }
			
			echo" <col width=90>
				  <col width=100>
				  <col width=60>";
		} else {
			echo" <col width=100>
				  <col width=100>";
			
			//if ($Module_DoubleUnit == 1) 
			echo"<col width=40>";
			echo" <col width=100>";
			if ($Module_DoubleUnit == 1) { echo"<col width=40>"; echo"<col width=75>"; }
			
			echo" <col width=40>
				  <col width=60>";

		}		

		echo" <col width=100>
			  <col width=40>";
		
		echo "<tr>";
		if ($Module_Delivery == 0 && $FI_DeliverySalesPrice == 1 ) {  
		    echo"<td valign='center' align='center' ><span class='style12'>Order Ref</span></td> 
				 <td valign='center' align='center' ><span class='style12'>Ordered Qty</span></td>";
				 
			//if ($Module_DoubleUnit == 1)
				echo"<td valign='center' align='center' ><span class='style12'>Unit1</span></td>";
				
			echo"<td valign='center' align='center' ><span class='style12'>Qty</span></td>";
			
			if ($Module_DoubleUnit == 1) {
				echo"<td valign='center' align='center' ><span class='style12'>Unit2</span></td>";
				echo"<td valign='center' align='center' ><span class='style12'>Unit2 Qty</span></td>";
			}	
				
			echo"<td valign='center' align='center' ><span class='style12'>$PriceLabel&nbsp;<span class='style26'>*</span></span></td> 
				 <td valign='center' align='center' ><span class='style12'>Last Sell. Price</span></td> 
				 <td valign='center' align='center' ><span class='style12'>Disc(%)</span></td>
				 <td valign='center' align='center' ><span class='style12'>Total</span></td> 
			     <td valign='center' align='center' ><span class='style12'>VAT</span></td> ";
		} else {
			echo"<td valign='center' align='center' ><span class='style12'>&nbsp;</span></td> 
				 <td valign='center' align='center' ><span class='style12'>Order Ref</span></td> 
				 <td valign='center' align='center' ><span class='style12'>Ordered Qty</span></td>";

			//if ($Module_DoubleUnit == 1)
				echo"<td valign='center' align='center' ><span class='style12'>Unit1</span></td>";
				
			echo"<td valign='center' align='center' ><span class='style12'>Qty</span></td> ";
				 
			if ($Module_DoubleUnit == 1) {
				echo"<td valign='center' align='center' ><span class='style12'>Unit2</span></td>";
				echo"<td valign='center' align='center' ><span class='style12'>Unit2 Qty</span></td>";
			}
			
			echo"<td valign='center' align='center' colspan='2'><span class='style12'>&nbsp;</span></td> 
				 <td valign='center' align='center' colspan='2'><span class='style12'>&nbsp;</span></td> ";
		}	
			 
			
		echo"</tr>
		  <tr bgcolor='#F7F7F7' height='25'>";
		  
		if ($Module_Delivery == 0 && $FI_DeliverySalesPrice == 1) {   
		    echo"<td align='center'><b>$txtSaDtSorderRef</b><input type='hidden' name='txtSaDtSorderRef' value='$txtSaDtSorderRef' maxlength='20' style='font-size:12px; width:60px; height:20px;' >
									<input type='hidden' name='txtSaDtReturnQty' value='$txtSaDtReturnQty' >
									<input type='hidden' name='txtSaDtSoldQty' value='$txtSaDtSoldQty' ></td>
				 <td align='center'><b>$txtSaDtSorderQty</b><input type='hidden' name='txtSaDtSorderQty' value='$txtSaDtSorderQty' maxlength='20' style='font-size:12px; width:60px; height:20px;' ></td>";
				 
			//if ($Module_DoubleUnit == 1) 
			echo"<td align='center'><b>$txtItemUnit1</b></td>";
				
			//if($Module_DeliveryWithSorder == 0 && $i_withserial == 1 && $Module_SerialNo == 1) 
				//echo "<td align='center'><input type='text' name='txtSaDtQty' value='$txtSaDtQty' maxlength='20'  style='font-size:12px; width:60px; height:20px;'  readonly></td>";
			//else
				echo "<td align='center'><input type='text' name='txtSaDtQty' id='txtSaDtQty' value='$txtSaDtQty' maxlength='20'  onBlur='CheckSaDtQty($Module_DeliveryWithSorder,$Sale_MaxExceedQty); CalcSaDtTotal($DecimalBase);' onchange='CalcQty2($Module_Unit1Method,$i_unitcoef,1);' style='font-size:12px; width:60px; height:20px;'  ></td>";
				 
			if ($Module_DoubleUnit == 1) {
				echo"<td align='center'><b>$txtItemUnit2</b></td>";
				echo "<td align='center'><input type='text' name='txtSaDtQty2' id='txtSaDtQty2' value='$txtSaDtQty2' maxlength='20' onchange='CalcQty2($Module_Unit1Method,$i_unitcoef,2);' style='font-size:12px; width:60px; height:20px;' ></td>";
			} else {
				echo "<input type='hidden' name='txtSaDtQty2' id='txtSaDtQty2' value='$txtSaDtQty2' >";
			}
			
			echo"<td align='center'><input type='text' name='txtSaDtPrice' value='$txtSaDtPrice' maxlength='20' onBlur='CalcSaDtTotal($DecimalBase);' style='text-align:right; font-size:12px; width:80px; height:20px;' $ModeModifySellPrice></td>
				 <td align='center'><b>$txtItemLastSellPrice</b><input type='hidden' name='txtItemLastSellPrice' value='$txtItemLastSellPrice' maxlength='20' style='text-align:right; font-size:12px; width:90px; height:20px;' ></td>
				 
				 <td align='center'><input type='text' name='txtSaDtDiscount' value='$txtSaDtDiscount' maxlength='20' onBlur='CalcSaDtTotal($DecimalBase);'  style='text-align:right; font-size:12px; width:50px; height:20px;' $DiscountMode ></td>
				 <td align='center'><input type='text' name='txtSaDtTotal' value='$txtSaDtTotal' maxlength='20' style='text-align:right; font-size:12px; width:90px; height:20px;' ></td>
				 <td align='center'><input type='hidden' name='txtSaDtVat' value='$txtSaDtVat'><input name='chkSaDtVat' type='checkbox' id='chkSaDtVat' value='1' disabled "; 
				  if($chkSaDtVat==1 || $txtSaDtVat == 1) echo "checked /></td>"; else echo " /></td>";   
		} else {
			echo"<td align='center'><input type='hidden' name='txtSaDtSorderRef' value='$txtSaDtSorderRef' maxlength='20' style='font-size:12px; width:60px; height:20px;' >
									<input type='hidden' name='txtSaDtReturnQty' value='$txtSaDtReturnQty' >
									<input type='hidden' name='txtSaDtSoldQty' value='$txtSaDtSoldQty' ></td>
				 <td align='center'><b>$txtSaDtSorderRef</b>
				 <td align='center'><b>$txtSaDtSorderQty</b><input type='hidden' name='txtSaDtSorderQty' value='$txtSaDtSorderQty' maxlength='20' style='font-size:12px; width:60px; height:20px;' ></td>";
				
			//if ($Module_DoubleUnit == 1) 
			echo"<td align='center'><b>$txtItemUnit1</b></td>";
				
			//if($Module_DeliveryWithSorder == 0 && $i_withserial == 1 && $Module_SerialNo == 1) 
				//echo "<td align='center'><input type='text' name='txtSaDtQty' value='$txtSaDtQty' maxlength='20'  style='font-size:12px; width:80px; height:20px;'  readonly></td>";
			//else 
			
			if ($vSalesExists > 0)
				echo "<td align='center'><b>$txtSaDtQty</b><input type='hidden' name='txtSaDtQty' value='$txtSaDtQty' maxlength='20'  style='font-size:12px; width:80px; height:20px;'  ></td>";
			else
				echo "<td align='center'><input type='text' name='txtSaDtQty' value='$txtSaDtQty' maxlength='20'  onBlur='CheckSaDtQty($Module_DeliveryWithSorder,$Sale_MaxExceedQty);' onKeyup='CalcQty2();' style='font-size:12px; width:80px; height:20px;'  ></td>";
			
			if ($Module_DoubleUnit == 1) {
				echo"<td align='center'><b>$txtItemUnit2</b></td>";
				
				if ($vSalesExists > 0)
					echo "<td align='center'><b>$txtSaDtQty2</b><input type='hidden' name='txtSaDtQty2' value='$txtSaDtQty2' maxlength='20'  style='font-size:12px; width:60px; height:20px;' ></td>";
				else
					echo "<td align='center'><input type='text' name='txtSaDtQty2' value='$txtSaDtQty2' maxlength='20'  style='font-size:12px; width:60px; height:20px;' ></td>";
			} else {
				echo "<input type='hidden' name='txtSaDtQty2' value='$txtSaDtQty2' >";
			}
			
			echo"<td align='center' colspan='2'><input type='hidden' name='txtSaDtPrice' value='$txtSaDtPrice'  >
												<input type='hidden' name='txtItemLastSellPrice' value='$txtItemLastSellPrice'  >
												<input type='hidden' name='txtSaDtDiscount' value='$txtSaDtDiscount' >
												<input type='hidden' name='txtSaDtTotal' value='$txtSaDtTotal' >
												<input type='hidden' name='txtSaDtVat' value='$txtSaDtVat'></td>
												
				 <td align='center' colspan='2'>&nbsp;</td>";   
		}	
echo"       <input type='hidden' name='i_withserial' value='$i_withserial'> 
		  </tr>
		  </table></td></tr>
		  <tr bgcolor='#F7F7F7' height='30'>
		     <td colspan='6' align='center' bgcolor=#D8D8D8>
			    <input type='button' id='btnSubmitRecord' name='btnSubmitRecord'  value='Submit Record'  onclick='SubmitRecord($Module_NegativeQuantity,$Login_negativeQty,$Module_SerialNo,$i_nonstock,$i_expire)' $style title='Submit Record'></td>
			 
		  </tr>
        </table>";



print <<<HERE
</form>
</body>

HERE;

?>